summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2016-03-23 16:32:38 +0300
committerSergey Popov <pinkbyte@gentoo.org>2016-03-23 16:32:38 +0300
commit764d668f5f8bb4a447eb1d478e174a3fe8463554 (patch)
tree7ecae855f3908e8900b346488ac3a72afc267efc /sys-devel/qconf/qconf-2.0.ebuild
parentnet-im/psi: require Qt4 version of sys-devel/qconf (diff)
downloadgentoo-764d668f5f8bb4a447eb1d478e174a3fe8463554.tar.gz
gentoo-764d668f5f8bb4a447eb1d478e174a3fe8463554.tar.bz2
gentoo-764d668f5f8bb4a447eb1d478e174a3fe8463554.zip
sys-devel/qconf: version bump to 2.0
Package-Manager: portage-2.2.28
Diffstat (limited to 'sys-devel/qconf/qconf-2.0.ebuild')
-rw-r--r--sys-devel/qconf/qconf-2.0.ebuild51
1 files changed, 51 insertions, 0 deletions
diff --git a/sys-devel/qconf/qconf-2.0.ebuild b/sys-devel/qconf/qconf-2.0.ebuild
new file mode 100644
index 00000000000..8414d6d9adf
--- /dev/null
+++ b/sys-devel/qconf/qconf-2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit qmake-utils
+
+DESCRIPTION="./configure like generator for qmake-based projects"
+HOMEPAGE="http://delta.affinix.com/qconf/"
+SRC_URI="http://delta.affinix.com/download/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="+qt4 qt5"
+
+RDEPEND="
+ qt4? ( dev-qt/qtcore:4 )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtxml:5
+ )
+"
+DEPEND="${RDEPEND}"
+
+DOCS=( AUTHORS README.md TODO )
+
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+src_configure() {
+ # Fake ./configure. Fails on unknown options
+ ./configure \
+ --prefix="${EPREFIX}/usr" \
+ $(use qt4 && echo "--qtdir=$(qt4_get_libdir)") \
+ $(use qt5 && echo "--qtdir=$(qt5_get_libdir)/qt5") \
+ --extraconf=QMAKE_STRIP= \
+ --verbose || die
+
+ [ ! -f Makefile ] && die "Makefile generation failure"
+
+ use qt4 && eqmake4
+ use qt5 && eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${ED}" install
+ einstalldocs
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+}